# Record Class LMetadataValue

java.lang.Object
java.lang.Record
com.io7m.laurel.model.LMetadataValue

Record Components:
  `name` - The name
  `value` - The value

All Implemented Interfaces:
  `Comparable<LMetadataValue>`

public record LMetadataValue(String name, String value) extends Record implements Comparable<LMetadataValue>
A metadata value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LMetadataValue(String name, String value)`
  A metadata value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(LMetadataValue other)`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `name()`
  Returns the value of the `name` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `String`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LMetadataValue

    public LMetadataValue(String name, String value)
    A metadata value.
    Parameters:
      `name` - The name
      `value` - The value

- ## Method Details

  - ### compareTo

    public int compareTo(LMetadataValue other)
    Specified by:
      `compareTo` in interface `Comparable<LMetadataValue>`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### name

    public String name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component

  - ### value

    public String value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component